/***************************************************************************/
/** @file       Font_Gdi.h
    @brief      font rendering by gdi
    @author     shom
****************************************************************************/

#pragma once

#include "Font_Base.h"

#include "core/font/Font_Texture_Raw.h"


class CFont_Gdi_Raw;

class CFont_Gdi
:
public CFont_Base
{
public:
	CFont_Gdi();

	virtual void	Draw( const TCHAR* in_szText, const font_def::FontContext_t& in_Context );

private:
	SPTR_T( CFont_Gdi_Raw ) m_pRaw;
	LPD3DXFONT				m_pD3dxFont;
	LPD3DXSPRITE			m_pD3xdSprite;
};
